5,597,937 Members 38,727 Now Online
XDA Developers Android and Mobile Development Forum

[Q] KFHD 8.9 on CM 10.1 want to update to CM 11

Tip us?
 
Stovall89
Old
#1  
Junior Member - OP
Thanks Meter 0
Posts: 4
Join Date: Dec 2013
Location: North Platte

 
DONATE TO ME
Default [Q] KFHD 8.9 on CM 10.1 want to update to CM 11

Okay i've removed the fire OS off my kindle and am running cyanogenmod 10.1, but would like to update to cyanogenmod 11 kitkat. But everytime I try to flash the rom through TWRP 2.6.0.0 I get a failed error. I understand it's recommended to use the most updated version of TWRP(2.6.3.1) but I HAVE NO IDEA HOW TO UPDATE TO THAT VERSION now that I've erased the original OS and am running strictly android OS! (after I successfully erased the fire OS I deleted all the files i downloaded to save space) So now I can't remember how to get my device into bootloader mode to enable fastboot to install the updated version of TWRP.

BUT MY REAL QUESTION is do I even need an updated version of TWRP to move from CM 10 to CM 11???? My drivers are all correct for my current version and can add and move files fine through the USB connection it just fails every time I try to install CM 11.

I am performing a factory reset wipe before I attempt to flash the new ROM, but is there something else I'm missing or is the only way to flash CM 11 with TWRP 2.6.3.1?

Any help I can get on this is appreciated, I've searched for a hot minute and have found some posts saying updated versions of TWRP are preferred but nothing explaining how to install an updated version of TWRP after fire OS has been deleted. I'm sure it's something small and stupid I've been overlooking but after several hours I just need a fresh pair of eyes for help. Please and thank you to all that respond.
 
stunts513
Old
(Last edited by stunts513; 17th January 2014 at 10:17 AM.)
#2  
stunts513's Avatar
Recognized Contributor
Thanks Meter 498
Posts: 1,777
Join Date: Feb 2013
Location: New Braunfels, TX

 
DONATE TO ME
Simple really, download the twrp zip from here, and flash it from in twrp, and I believed after reading the changelog yes you will need it because it has full selinux support and I don't believe your version does, selinux is used on cm11.

Edit: also should mention after flashing the new recovery zip file to reboot the device into recovery again to load the new recovery up.

Sent from my Amazon Kindle Fire HD running CM10.1 Tablet UI using xda-developers app
My Wallpaper Fix for KF2, KFHD 7", and KFHD 8.9" is HERE
Please Read the instructions and use the debugger if you run into errors.
My own modified adb drivers for just about all kindles (includes old twrp and cm versions) HERE
Tablet UI Patch for latest CM10.1 build HERE!

Please send complaints to /dev/null
The Following User Says Thank You to stunts513 For This Useful Post: [ Click to Expand ]
 
Stovall89
Old
#3  
Junior Member - OP
Thanks Meter 0
Posts: 4
Join Date: Dec 2013
Location: North Platte

 
DONATE TO ME
Default you're a gentleman and a scholar!

Quote:
Originally Posted by stunts513 View Post
Simple really, download the twrp zip from here, and flash it from in twrp, and I believed after reading the changelog yes you will need it because it has full selinux support and I don't believe your version does, selinux is used on cm11.

Edit: also should mention after flashing the new recovery zip file to reboot the device into recovery again to load the new recovery up.

Sent from my Amazon Kindle Fire HD running CM10.1 Tablet UI using xda-developers app
Ha I can't believe it was that simple, here I thought I had to re-run ADB and SDK on a previous version to make everything communicate but all I had to do was install the update through the current version. Thank you, I am currently running the set up on CM 11, you deserve a vacation, or at least a cuddle.
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes